Bug 440261 - xen/ia64 asm missing srlz instruction [NEEDINFO]
xen/ia64 asm missing srlz instruction
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.2
ia64 Linux
high Severity medium
: rc
: ---
Assigned To: Aron Griffis
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 11:03 EDT by Aron Griffis
Modified: 2009-06-19 23:21 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:44:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bburns: needinfo? (agriffis)


Attachments (Terms of Use)
xen-unstable 0df9dc2f1d03 ported to kernel-2.6.18-87.el5 (481 bytes, patch)
2008-04-02 11:03 EDT, Aron Griffis
no flags Details | Diff

  None (edit)
Description Aron Griffis 2008-04-02 11:03:32 EDT
Building kernel-2.6.18-87.el5 emits the following warning:

arch/ia64/xen/xenentry.S: Assembler messages:
arch/ia64/xen/xenentry.S:128: Warning: Use of 'st4' violates RAW dependency
'DTC' (data)
arch/ia64/xen/xenentry.S:128: Warning: Only the first path encountering the
conflict is reported
arch/ia64/xen/xenentry.S:123: Warning: This is the location of the conflicting usage
arch/ia64/xen/xenentry.S:128: Warning: Use of 'st4' violates RAW dependency
'DTR' (data)
arch/ia64/xen/xenentry.S:128: Warning: Only the first path encountering the
conflict is reported
arch/ia64/xen/xenentry.S:123: Warning: This is the location of the conflicting usage

This is an error in the assembly code that could result in a fault if the tr is
referenced without a prior srlz (or instruction implying srlz).  This was fixed
in upstream xen over a year ago:

http://lists.xensource.com/archives/html/xen-ia64-devel/2007-02/msg00001.html
http://xenbits.xensource.com/xen-unstable.hg?rev/0df9dc2f1d03

Version-Release number of selected component (if applicable):
2.6.18-87.el5 (and prior versions)
Comment 1 Aron Griffis 2008-04-02 11:03:32 EDT
Created attachment 300073 [details]
xen-unstable 0df9dc2f1d03 ported to kernel-2.6.18-87.el5
Comment 3 Martine Silbermann 2008-05-23 08:40:49 EDT
Changed priority from high to medium since it'll be fixed in 5.3 and while 
it's important to get it fixed because it would cause a crash if hit this has 
not been seen by a customer so far so we don't feel that we need to put it in 
the release notes
Comment 4 RHEL Product and Program Management 2008-06-09 17:58:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2008-07-18 16:07:12 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 Aron Griffis 2008-07-31 20:57:47 EDT
looks good, thanks Don.
Comment 11 Ryan Lerch 2008-11-06 17:58:56 EST
This bug has been marked for inclusion in the Red Hat Enterprise Linux 5.3
Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances cause this bug to present.

Consequence:  What happens when the bug presents.

Fix:   What was done to fix the bug.

Result:  What now happens when the actions or circumstances above occur. (NB:
this is not the same as 'the bug doesn't present anymore')
Comment 14 Chris Ward 2008-11-28 02:13:33 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 15 Aron Griffis 2008-12-08 19:27:31 EST
There's no real test case except for building and verifying the patch is applied and the warnings are gone, so I built kernel-2.6.18-125 and yes, it looks good.  I added PartnerVerified to the keywords.
Comment 17 errata-xmlrpc 2009-01-20 14:44:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.